OpenVDB 13.0.0

Loading...
Searching...
No Matches
MapRegistry Class Reference

Threadsafe singleton object for accessing the map type-name dictionary. Associates a map type-name with a factory function. More...

`#include <openvdb/math/Maps.h>`

## Public Types
using | MapDictionary = std::map<Name, MapBase::MapFactory>

## Static Public Member Functions
static MapRegistry * | instance ()
static MapBase::Ptr | createMap (const Name &)
| Create a new map of the given (registered) type name.
static bool | isRegistered (const Name &)
| Return `true` if the given map type name is registered.
static void | registerMap (const Name &, MapBase::MapFactory)
| Register a map type along with a factory function.
static void | unregisterMap (const Name &)
| Remove a map type from the registry.
static void | clear ()
| Clear the map type registry.

## Detailed Description

Threadsafe singleton object for accessing the map type-name dictionary. Associates a map type-name with a factory function.

## Member Typedef Documentation

## ◆ MapDictionary

using MapDictionary = std::map<Name, MapBase::MapFactory>

## Member Function Documentation

## ◆ clear()

void clear | ( |  | ) |
| static

Clear the map type registry.

## ◆ createMap()

MapBase::Ptr createMap | ( | const Name & |  | ) |
| static

Create a new map of the given (registered) type name.

## ◆ instance()

MapRegistry * instance | ( |  | ) |
| static

## ◆ isRegistered()

bool isRegistered | ( | const Name & |  | ) |
| static

Return `true` if the given map type name is registered.

## ◆ registerMap()

void registerMap | ( | const Name & | ,
|  | MapBase::MapFactory | )
| static

Register a map type along with a factory function.

## ◆ unregisterMap()

void unregisterMap | ( | const Name & |  | ) |
| static

Remove a map type from the registry.